> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geopard-api-requests-overview/17.-query-get-soildatasets.md).

# 17. Запрос: получить "SoilDatasets"

Получите все «SoilDatasets» для выбранного «Field». Наборы данных можно получить с помощью стандартных запросов GraphQL, например `getFarms` и `getFields` из связанного «Field».

{% hint style="warning" %}
«SoilDataset» необходимо загрузить заранее.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #шаблон "<OperationType> <YYYY-mm-DD>"
        operationId #если есть
        number #общее количество геообъектов
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #подробные сведения по каждому атрибуту
          name #ссылка на статистику >> атрибут
          transliteratedName
          fullName #если есть
          unit #если есть
        }

        createdDate #дата и время создания сущности в GeoPard
        updatedDate #дата и время последнего обновления
        operationType
        operationId
        operationFileDate #дата и время создания файла
        operationStartDate #начало операции
        
        statistics { #распределение статистических значений для каждого почвенного атрибута
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        name  
        operationId #если есть 
        number #общее количество геообъектов 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #ссылка на статистику >> атрибут
          transliteratedName
          fullName #если есть
          unit #если есть
        }
      
        createdDate #дата создания в GeoPard
        updatedDate #дата последнего обновления в GeoPard
        operationFileDate #дата создания файла (если есть)
        operationStartDate #начало операции (если есть)
      
        statistics { #статистическое распределение для каждого почвенного атрибута
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #визуальное представление
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/geopard-api-requests-overview/17.-query-get-soildatasets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
